Barbers
List barber schedule overrides
List schedule overrides (time off, holidays) for a barber.
GET
List barber schedule overrides
Path Parameters
The unique, opaque system identifier for a resource. This case-sensitive ID is also used as path parameters in URLs or in other properties or parameters that reference a resource by ID rather than URL.
Query Parameters
A date range, supporting inclusive or exclusive endpoints.
Dates ranges use dates expressed in YYYY-MM-DD RFC 3339
date format.
The value may have the following forms:
YYYY-MM-DDmatch the date exactly; equivalent to matching dates in the range[YYYY-MM-DD,YYYY-MM-DD][YYYY-MM-DD,YYYY-MM-DD]between two dates, inclusive of the endpoints(YYYY-MM-DD,YYYY-MM-DD)between two dates, exclusive of the endpoints[YYYY-MM-DD,]on or after the date(YYYY-MM-DD,)after the date[,YYYY-MM-DD]before or on the date(,YYYY-MM-DD)before the date
Examples:
- '2022-05-19'
- '[2022-05-01,2022-05-31]'
- '[2022-05-01,2022-06-01)'
- '[2022-05-19,]'
- '(2022-05-19,)'
- '[,2022-05-19]'
- '(,2022-05-19)'
Maximum string length:
24Pattern:
(?:^(\d{4}-\d{2}-\d{2}|([\[(](\d{4}-\d{2}-\d{2},(\d{4}-\d{2}-\d{2})?|,\d{4}-\d{2}-\d{2})[)\]]))$)Filter overrides by type
Types of schedule overrides
Available options:
timeOff, holiday, other Previous
Create a schedule overrideCreate a schedule override for time off or holidays.
Examples:
- Single full day off: Set `startsOn` and `endsOn` to the same date, omit `startsAt`/`endsAt`
- Single partial day off: Set `startsOn` and `endsOn` to the same date, set `startsAt` (e.g., "14:00") and `endsAt` (e.g., "17:00")
- Multi-day vacation: Set `startsOn` and `endsOn`, omit `startsAt`/`endsAt`
- Half days for a week: Set `startsOn` and `endsOn` for the week, set `startsAt` to "12:00" for afternoon half-days
Next
List barber schedule overrides